# Akamai\Open\EdgeGrid\Authentication::getHost

#### Get the request host

## Signature

`public function getHost()`

## Returns

string

## Test Coverage

### Information

- Coverage: 1/1 Lines (100%)
- Tests: 5
- Passed: 5 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testProxyNonFluent
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testCreateFromEdgeRcDefault with data set #3